nixp.ru v3.0

19 января 2017,
четверг,
01:05:22 MSK

DevOps с компанией «Флант»
anonymous написал 20 августа 2004 года в 22:09 (256 просмотров) Ведет себя неопределенно; открыл 1814 темы в форуме, оставил 5575 комментариев на сайте.

Только что докомпилировался kde 3.3, 10 часов компилил на P IV 2666.

Все работает, только вот немогу прогу откомпилить для кде, любая говорит

checking for KDE… libraries /opt/kde3.3/lib, headers /opt/kde3.3/include

checking if UIC has KDE plugins available… no

configure: error: you need to install kdelibs first.

Что не так, вроде бы хидеры и соурцы устанавливаются вместе с бинарниками.

Может export для чего то нужно сделать, для чего?

anonymous

Хидеры и сорцы точно есть, потому как все проги (kppp, kmail, kcontrol) для 3.3 собирались, все нормально. как посмотреть все переменные в системе?

anonymous

Корень зла это вот эта строчка

checking if UIC has KDE plugins available… no

что она означает? я не понял

pol

а ты уверен что всё ето богатство в /opt/kde3.3/lib /opt/kde3.3/include?

anonymous

компилировал с помощью конструктора, когда он откомпилил kdebase и kdelibs, то перенес хидеры и либы в /opt/kde3.3, именно на этих хидерах и компилировались остальные проги для кде, нстройки где хидеры и либы были месные для конструктора, когда он закончил все собирать он почему то для системы не определил что хидеры и либы от кде лежат уже не в /usr а в /opt , вот как бы мне показать моему мандрейку что все для кде у меня в /opt/kde3 ?

pol

а ты префикс укажи ./configure —help

(блин у меня усё ето хозяйство спокойно валяется в /usr/kde/3.2.3)

anonymous

Да все я указывал и префикс и путь к либам и к хидерам а конце всеравно одно и тоже

ecobeingecobeing.ru
Экология и вегетарианство на благо всем живым существам Планеты.